# Binkd sample configuration file
# Copyright (C) 1996-1997 by Dima Maloff, 2:5047/13
# $Id: binkd.cfg,v 2.13.2.2 2003/10/07 12:05:39 stas Exp $

#
# Your FTN domains:
#	domain <name> <main-outbound> <default-zone>
# or
#	domain <new-name> alias-for <name>
#
domain fidonet c:\\bbs\\outbound 2
domain fido alias-for fidonet
domain fidonet.org alias-for fidonet

# 
# Your addresses, 4D or 5D:
#	address <addr1> ...
#
address 2:5047/999@fidonet 2:5020/999.1@fidonet

# 
# The name of your system, its location and your name
#
sysname "Ivan's BBS"
location "Magadan, Russia"
sysop "Ivan Ivanov"

#
# System capabilities
#
nodeinfo 115200,TCP,BINKP

#
# TCP settings. Leave this unchanged if not sure.
#
#iport binkp
#oport binkp
#oblksize 4096
#timeout 300
#connect-timeout 300
#bindaddr 192.168.0.3

#
# HTTPS or SOCKS settings. 
#
# proxy 192.168.0.3:3128   		<- regular http/https proxy (i.e. squid)
# proxy 192.168.0.3:3128/user/password	<- proxy required username/password
#                                          (as in browser)
#
# proxy 192.168.0.3:3128/user/password/your_host/your_domain
#	^- proxy required NTLM authorization with username/password
#	your_host   -- Windows host name without domain (i.e. MY_HOST)
#	your_domain -- Windows domain name (not FQDN, i.e. DEFAULT_DOMAIN)
#
# socks 192.168.0.3:1080		<- socks4 proxy
# socks 192.168.0.3:1080/		<- socks5 proxy without authorization
# socks 192.168.0.3:1080/user/password	<- socks5 proxy with username/password
#                                          (RFC-1929)

#
# Delay of calls and outbound rescans
#
#call-delay 60
#rescan-delay 60

#
# Max. number of inbound/outbound connections
#
#maxservers 2
#maxclients 2

#
# Binkd will try to call a node N times. If failed it will
# hold the node for S seconds. The feature is off by default.
#
try 10
hold 600

#	
# hold-skipped <S>
# Binkd will hold for S seconds all mail skipped by a node. (Def. -- 3600)
#
#hold-skipped 3600

#
# Don't send (only receive) files if no password for an inbound session 
#		
send-if-pwd

#
# Path and name for the logfile, loglevel
#
log binkd.log
loglevel 4

#
# Uncomment it if you want binkd's log at your console
#
conlog 4

#
# Uncomment if you want T-Mail(FrontDoor)-style binary log
# (Will work and have sense on PCs only?) 
# Tzoff corrects UTC time returned by time() under DOS-derived OS
#
#binlog binkd.sts
#fdinhist in.his
#fdouthist out.his
#tzoff 10800

#
# Use syslog (Only if made with -DHAVE_VSYSLOG and -DHAVE_FACILITYNAMES)
#
#syslog local0

#
# Print percents while sending or receiving 
#
percents

#
# List queue after rescans
#
printq

#
# Perform reverse resolving (for logging only)
#
backresolv

#
# Log pid:
#
#pid-file /var/run/binkd.pid

#
# Map paths in flo's:
#	ftrans <old-string> <new-string>
# Use as many ftrans's as you want.
#
#ftrans "D:\\fido\\outbound" "/var/spool/fido/outb"
#ftrans "\\" "/" # this replaces all slashes in a path

#
# Inbound directory for secure and non-secure links
#
inbound c:\\bbs\\inbound
inbound-nonsecure c:\\bbs\\inbound\\unknown

#
# Directory for incomplete receiving files (.hr and .dt),
# default to inbound for the node
#
temp-inbound c:\\bbs\\inbound\\incomplete

#
# Binkd will skip all files from a node if 
# size_of_the_next_file_for_us_there + minfree < free_space_in_inbound
#
minfree 2048
minfree-nonsecure 2048

#
# When trying to receive a new file: remove partial files with this 
# name but different size or time from inbound. (If commented out, binkd
# will left old parts as .dt and .hr in the inbound directory)
#
kill-dup-partial-files

#			
# Remove all old partial files from inbound. (OFF if commented out)
#	kill-old-partial-files <max-age-in-seconds>
#
kill-old-partial-files 86400

#
# Remove old .bsy/.csy files (If some are left after a system crash). It would
# be wise to set this to 43200 (12 hrs) on almost any system. (Note that binkd
# always touches .bsy's/.csy's for active sessions) 
#
# kill-old-bsy is OFF by default.
#
#kill-old-bsy 43200

#
# Create a flag file after receiving a file
#
#flag toss!.now *.pkt
#flag toss!.now *.su? *.mo? *.tu? *.we? *.th? *.fr? *.sa?

#
# Run an external program. 
# The "*S" macro in command line substed with S.R.I.F., see !SRIF.TXT
# The "!" before program pathname means immediate program execution
#   after receiving the file.
# *** win32 only:
# The "@" before program pathname means execute program in separate console
# The "@@" before program pathname means execute program in hidden console
# ***
# Macros: *F - complete name of received file,
#         *A0..*A9 - first 10 AKA of remote system,
#         *A*, *A@ - list of all remote AKA separated by spaces
#         *P - password protected [0|1],
#         *L - listed system [0|1]
#         *H - remote hostname or IP,
#         *N - short file name (win32 only).
#
#exec "my-freq-processor.exe /options *S" *.req
#exec "my-pkt-unpacker.exe /options *S" *.pkt

#
# Include a file 
#
#include binkd.inc

#
# Overrides root domain for DNS lookups, see `node' below.
#
#root-domain fidonet.net

#
# Scan T-Mail boxes (short and long)
#
filebox   d:\\fido\\tmail\\boxes

#
# Scan theBrake! long boxes
#
brakebox  d:\\fido\\brake\\boxes

#
# Should binkd delete empty boxes?
# uncomment the following line if yes
#
#deletebox

#
# Scan node outbound while connecting and send mail size to remote
#
prescan

#
# t-mail password.lst file
#
#passwords c:\\t-mail\\password.lst

#
# Skip (destructive!) this files
#
#skipmask pm2*.* *.mp3

#
# Overwrite the existing file by the new received,
# do not save with the changed extension
#
#overwrite net_*.*

#
# Inbound filename case:
#    inboundcase [save(default)|upper|lower|mixed]
#
#	'save'  don't change filename case (default)
#	'upper' uppercase filename (FILE-NAME.EXT)
#	'lower' lowercase filename (file-name.ext)
#	'mixed' make filename pretty (File-Name.Ext)
#
# * tested only with english filenames
#      
#inboundcase save

#
# Should binkd delete empty point dirs in BSO?
# Uncomment the following line if yes
#
#deletedirs

#
# Use Amiga Style Outbound (ASO)
#
#aso

#
# Define a link:
#       node [[z:]n/]n[.p][@domain] [-nr|-nd] [-md] [-ip|-sip] [{hosts|-} [{pwd|-} [flavour [{obox|-} [{ibox|-}]]]]]
#
# * All non-"-" fields will redefine the values specified for the same node
#	earlier in config. 
# * Flavour is one of i, c, d, -, h; and is the flavour for the outbound
# 	filebox ("obox"). 
# * Binkd sends from obox all non-dir entries NOT matching ".*" wildcard.
#	EVERY TIME YOU PUT A FILE INTO OBOX CHECK IF BINKD WILL BE ABLE TO
#	UNLINK IT. Otherwise, the session will never end.
# * Default for ibox is inbound or inbound-nosecure depending on the pwd field. 
# * Default for port is oport.
# * `-nr' stands for `Not Reliable Link', this works only on outbound calls 
#	with another binkp/1.1 mailer. The option solves the only problem with
#	binkd having no enough time to start receiving of a file from 
#	non-zero offset before IP link's down, so don't use it unless you 
#	have this problem -- really not effective
# * `-nd' means "No Dupe Mode", this works only on outbound calls with
#	another binkd 0.9.3 or higher. The option solves problem with
#	duplicating files while losts carrier but link is a bit slower
#	then with "-nr" option
# * `-md' means "Must have CRAM-MD5". This works only with nodes with
#       binkd or argus supported this method. Do not set it if your link
#       can use the old version of binkd.
# * `-nomd' - do not use CRAM-MD5 for this node (send plain text password)
# * `-ip' means "Remote IP check". In this case the node will be
#       rejected if it comes not from one of its IP-addresses.
# * `-sip' means "Strict remote IP check". Like "-ip", but node will be
#       rejected if no IP-addresses allowed ("-" or not resolved).
# * Hosts is a list in form
#       host1[:port1][;host2[:port2]] ...
# * Asterisk (`*') in the host list forces Binkd to perform
#       1:2/3.4 --> p4.f3.n2.z1.fidonet.net translation for a node's
#       Fido-address and lookup IP for the resulting FQDN in DNS.
#       Root domain part ("fidonet.net") can be changed with root-domain
#       keyword.
#	
node 5047/888 - password
node 5047/999 hostname;* password i c:\\bbs\\boxes\\to999 c:\\bbs\\boxes\\from999

#
# Default node flags. Binkd will call unlisted node if "defnode" defined.
#
#defnode -nr *
